using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ImGuiNET;

namespace SDL2Demo.Forms
{
    internal class UiBlockingWindow :  IRenderable
    {
        public UiBlockingWindow()
        {
            Title = "Please wait...";
            Text = "skyscraper5 is busy...";
        }

        public string Title { get; set; }
        public string Text { get; set; }

        public string Line2 { get; set; }

        public void Render()
        {
            ImGui.Begin(Title, ImGuiWindowFlags.NoCollapse | ImGuiWindowFlags.AlwaysAutoResize);
            ImGui.Text(Text);
            if (!string.IsNullOrEmpty(Line2))
                ImGui.Text(Line2);
            ImGui.End();
        }
    }
}
